/*******************************************************************************
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/
package org.ow2.orchestra.console.GWTConsole.client.Event;

import com.google.gwt.event.shared.GwtEvent;


/**
 * Class of the event used to suspend and resume the timer
 * 
 * @author Jean-Yves Goubet
 *
 */
public class SuspendTimerEvent extends GwtEvent<SuspendTimerHandler> {

  // boolean used to know if timer is suspended or not
  private boolean suspend;

  /**
   * Constructor of the event
   * 
   * @author Jean-Yves Goubet
   * @param suspend : boolean to suspend or resume the timer
   * 
   */
  public SuspendTimerEvent(boolean suspend) {
    super();
    //
    this.suspend = suspend;
  }
  
  public static final Type<SuspendTimerHandler> TYPE = new Type<SuspendTimerHandler>();
  
  protected void dispatch(SuspendTimerHandler handler) {
    handler.onSuspend(this);    
  }

  public com.google.gwt.event.shared.GwtEvent.Type<SuspendTimerHandler> getAssociatedType() {
    return TYPE;
  }
  
  public boolean getSuspend() {
    return this.suspend;
  }

}
