/*******************************************************************************
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/
package org.ow2.orchestra.console.GWTConsole.client.ListInstanceActivity;


import com.google.gwt.core.client.GWT;
import com.google.gwt.uibinder.client.UiBinder;
import com.google.gwt.uibinder.client.UiField;
import com.google.gwt.uibinder.client.UiTemplate;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.Widget;

import org.ow2.orchestra.console.GWTConsole.client.InstanceDetails.InstanceDetailsGrid;


/**
 * This class is the view of the instance activities list.
 * 
 * @author Jean-Yves Goubet
 *
 */
public class VListInstanceActivity extends Composite implements VListInstanceActivityIF {

  @UiTemplate ("VListInstanceActivity.ui.xml")
  interface MyUiBinder extends UiBinder<Widget, VListInstanceActivity> { }
  private static MyUiBinder uiBinder = GWT.create(MyUiBinder.class);

  @UiField InstanceDetailsGrid  instanceDetailsGrid;
  @UiField InstanceActivityGrid listInstanceActivityGrid;
  
  private PListInstanceActivity presenter;
  
  /**
   * The constructor of the class
   * 
   * @author Jean-Yves Goubet
   * 
   */
  public VListInstanceActivity() {
    //
    this.initWidget(VListInstanceActivity.uiBinder.createAndBindUi(this));
  }
  
  
  /**
   * Getter of the instance activities grid
   * 
   * @author Jean-Yves Goubet
   * @return listInstanceActivityGrid : the grid that contains the activities of an instance
   */
  public InstanceActivityGrid getInstanceActivityGrid() {
    return listInstanceActivityGrid;
  }

  public InstanceDetailsGrid getInstanceDetailsGrid() {
    return this.instanceDetailsGrid;
  }
  
  
  public void setPresenter(PListInstanceActivity presenter) {
    this.presenter = presenter;
  }
  public PListInstanceActivity getPresenter() {
    return presenter;
  }  
  

}
