/*******************************************************************************
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/
package org.ow2.orchestra.console.GWTConsole.client.ListProcess;


import com.google.gwt.user.client.rpc.IsSerializable;

import java.util.Date;



/**
 * model class used to store information of the process
 *
 * @author Jean-Yves Goubet
 */
public final class MProcess implements IsSerializable {

  private String                processId;
  private String                processName;
  private String                processNamespace;
  private int                   processVersion;
  private Date                  processDeploymentDate;
  private Date                  processUndeploymentDate;
  private String                processState;
  //private ProcessDefinitionUUID processDefinitionUUID;

  public String getProcessId() {
    return this.processId;
  }

  public String getProcessName() {
    return this.processName;
  }

  public String getProcessNamespace() {
    return this.processNamespace;
  }

  public Date getProcessDeploymentDate() {
    return this.processDeploymentDate;
  }

  public Date getProcessUndeploymentDate() {
    return this.processUndeploymentDate;
  }

  public String getProcessState() {
    return this.processState;
  }

  public int getProcessVersion() {
    return this.processVersion;
  }
  //public ProcessDefinitionUUID getProcessDefinitionUUID() {
  //  return processDefinitionUUID;
 // }

  public MProcess(final String processId, final String processName, final String processNamespace, final int processVersion, final Date processDeploymentDate,
      final Date processUndeploymentDate, final String processState) {
    this.processId = processId;
    this.processName = processName;
    this.processNamespace = processNamespace;
    this.processDeploymentDate = processDeploymentDate;
    this.processUndeploymentDate = processUndeploymentDate;
    this.processState = processState;
    this.processVersion = processVersion;
    //this.processDefinitionUUID = processDefinitionUUID;
  }

  private MProcess() {
  }

}
